ant(1)

NAME
ant - a Java based make tool.

SYNOPSIS
ant [OPTION]... [TARGET [TARGET2] [TARGET3] ...]]

DESCRIPTION
Like make ant is a tool by which projects can be build. But unlike it, ant is based on Java which means it will run on every platform for which a Java Virtual Machine is available. This makes it a great tool for building Java software. By default it takes information from build.xml which describes the targets.

-help
    print help on the command line options

-projecthelp
    gives information on possible targets for this project

-version
    returns the version number ant

-quiet
    be extra quiet

-verbose
    be extra verbose

-debug
    print debugging information

-emacs
    produce logging information without adornments

-logfile <file>
    use the given file to output log to

-logger <classname>
    use the given class to perform loggin

-listener <classname>
    add an instance of the given class as a project listener

-buildfile <file>
    use the given buildfile instead of the default build.xml file. This is the ant equivalent of Makefile

-D<property>=<value>
    use value for the given property

SEE ALSO
make(1)

AUTHOR
This manpage is written by Egon Willighagen <egonw@sci.kun.nl>